InterceptionType
Date: 2015-09-11

javax.enterprise.inject.spi

## Enum InterceptionType

- java.lang.Object
- - java.lang.Enum<InterceptionType>
  - - javax.enterprise.inject.spi.InterceptionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InterceptionType>

      public enum InterceptionType
      extends java.lang.Enum<InterceptionType>

  Identifies the kind of lifecycle callback, EJB timeout method or business method interception.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AROUND_INVOKE` Intercepts method invocation
    `AROUND_TIMEOUT` Intercepts a timeout
    `POST_ACTIVATE` Intercepts bean activation
    `POST_CONSTRUCT` Intercepts bean construction
    `PRE_DESTROY` Intercepts bean destruction
    `PRE_PASSIVATE` Intercepts bean passivation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterceptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InterceptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AROUND_INVOKE

          public static final InterceptionType AROUND_INVOKE

      Intercepts method invocation

    - #### AROUND_TIMEOUT

          public static final InterceptionType AROUND_TIMEOUT

      Intercepts a timeout

    - #### POST_CONSTRUCT

          public static final InterceptionType POST_CONSTRUCT

      Intercepts bean construction

    - #### PRE_DESTROY

          public static final InterceptionType PRE_DESTROY

      Intercepts bean destruction

    - #### PRE_PASSIVATE

          public static final InterceptionType PRE_PASSIVATE

      Intercepts bean passivation

    - #### POST_ACTIVATE

          public static final InterceptionType POST_ACTIVATE

      Intercepts bean activation

  - ### Method Detail

    - #### values

          public static InterceptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterceptionType c : InterceptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterceptionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null